Get video generation status
curl --request GET \
--url https://api.maxapi.ai/veo/v1/api/video/status/{taskId}import requests
url = "https://api.maxapi.ai/veo/v1/api/video/status/{taskId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.maxapi.ai/veo/v1/api/video/status/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.maxapi.ai/veo/v1/api/video/status/{taskId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.maxapi.ai/veo/v1/api/video/status/{taskId}")
.asString();{
"success": true,
"data": {
"taskId": "veo3:a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "processing",
"progress": {
"upstreamStatus": "video_generating",
"videoGenerationStatus": "MEDIA_GENERATION_STATUS_ACTIVE",
"retryCount": 0,
"maxRetries": 3
},
"message": "视频生成中,预计还需2-5分钟"
}
}Get video generation status
Use this endpoint to call the provider-compatible get video generation status operation through MaxAPI.
GET
https://api.maxapi.ai
/
veo
/
v1
/
api
/
video
/
status
/
{taskId}
Get video generation status
curl --request GET \
--url https://api.maxapi.ai/veo/v1/api/video/status/{taskId}import requests
url = "https://api.maxapi.ai/veo/v1/api/video/status/{taskId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.maxapi.ai/veo/v1/api/video/status/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.maxapi.ai/veo/v1/api/video/status/{taskId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.maxapi.ai/veo/v1/api/video/status/{taskId}")
.asString();{
"success": true,
"data": {
"taskId": "veo3:a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "processing",
"progress": {
"upstreamStatus": "video_generating",
"videoGenerationStatus": "MEDIA_GENERATION_STATUS_ACTIVE",
"retryCount": 0,
"maxRetries": 3
},
"message": "视频生成中,预计还需2-5分钟"
}
}Path Parameters
任务ID(从提交接口返回)
Example:
"veo3:a1b2c3d4-e5f6-7890-abcd-ef1234567890"
Response
Request succeeded.
Hide child attributes
Hide child attributes
Example:
"veo3:a1b2c3d4-e5f6-7890-abcd-ef1234567890"
Available options:
processing, completed, failed Example:
"completed"
Example:
"提示词内容不符合要求"
Example:
"视频生成完成"